Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 705506 (CVE-2020-7044, CVE-2020-7045) - <net-analyzer/wireshark-3.2.1 - WASSP dissector crash (CVE-2020-{7044,7045})
Summary: <net-analyzer/wireshark-3.2.1 - WASSP dissector crash (CVE-2020-{7044,7045})
Status: RESOLVED FIXED
Alias: CVE-2020-7044, CVE-2020-7045
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://www.wireshark.org/lists/wires...
Whiteboard: B3 [noglsa cve]
Keywords:
Depends on: 705656
Blocks:
  Show dependency tree
 
Reported: 2020-01-15 21:09 UTC by Jeroen Roovers (RETIRED)
Modified: 2020-04-11 21:47 UTC (History)
1 user (show)

See Also:
Package list:
=net-analyzer/wireshark-3.2.1
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen Roovers (RETIRED) gentoo-dev 2020-01-15 21:09:38 UTC
Bug Fixes

   The following vulnerabilities have been fixed:

     • wnpa-sec-2020-01[1] WASSP dissector crash. Bug 16324[2].
       CVE-2020-7044[3].
Comment 1 Larry the Git Cow gentoo-dev 2020-01-15 21:11:31 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a5a931c14349615d2b3ab2a3f38f0c4ece961da7

commit a5a931c14349615d2b3ab2a3f38f0c4ece961da7
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-01-15 21:10:43 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-01-15 21:11:27 +0000

    net-analyzer/wireshark: Version 3.2.1
    
    Package-Manager: Portage-2.3.84, Repoman-2.3.20
    Bug: https://bugs.gentoo.org/705506
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 net-analyzer/wireshark/Manifest               |   1 +
 net-analyzer/wireshark/wireshark-3.2.1.ebuild | 247 ++++++++++++++++++++++++++
 2 files changed, 248 insertions(+)
Comment 2 Agostino Sarubbo gentoo-dev 2020-01-17 09:30:31 UTC
amd64 stable
Comment 3 Agostino Sarubbo gentoo-dev 2020-01-17 10:27:26 UTC
ppc64 stable
Comment 4 Agostino Sarubbo gentoo-dev 2020-01-17 10:31:56 UTC
x86 stable
Comment 5 Agostino Sarubbo gentoo-dev 2020-01-17 12:25:29 UTC
ia64 stable
Comment 6 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-01-27 11:25:58 UTC
arm stable
Comment 7 Rolf Eike Beer 2020-01-28 20:00:23 UTC
hppa stable
Comment 8 Larry the Git Cow gentoo-dev 2020-02-04 11:08:52 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=be88776872a669651fdd99855943d590212a57d3

commit be88776872a669651fdd99855943d590212a57d3
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-02-04 11:08:11 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-02-04 11:08:48 +0000

    net-analyzer/wireshark: Old
    
    Package-Manager: Portage-2.3.87, Repoman-2.3.20
    Bug: https://bugs.gentoo.org/show_bug.cgi?id=705506
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 net-analyzer/wireshark/Manifest               |   2 -
 net-analyzer/wireshark/metadata.xml           |   1 -
 net-analyzer/wireshark/wireshark-3.0.3.ebuild | 245 --------------------------
 net-analyzer/wireshark/wireshark-3.0.7.ebuild | 245 --------------------------
 4 files changed, 493 deletions(-)
Comment 9 Sam James archtester gentoo-dev Security 2020-03-26 18:45:40 UTC
Tree is clean.
Comment 10 Thomas Deutschmann gentoo-dev Security 2020-03-26 18:55:11 UTC
GLSA Vote: No

Repository is clean, all done!
Comment 11 GLSAMaker/CVETool Bot gentoo-dev 2020-04-11 21:47:39 UTC
CVE-2020-7045 (https://nvd.nist.gov/vuln/detail/CVE-2020-7045):
  In Wireshark 3.0.x before 3.0.8, the BT ATT dissector could crash. This was
  addressed in epan/dissectors/packet-btatt.c by validating opcodes.

CVE-2020-7044 (https://nvd.nist.gov/vuln/detail/CVE-2020-7044):
  In Wireshark 3.2.x before 3.2.1, the WASSP dissector could crash. This was
  addressed in epan/dissectors/packet-wassp.c by using >= and <= to resolve
  off-by-one errors.